%{!?scl:%global pkg_name %{name}}
%{?scl:%scl_package rubygem-%{gem_name}}
%global gem_name systemu
%global rubyabi 1.9.1

Summary: Universal capture of stdout and stderr and handling of child process pid
Name: %{?scl:%scl_prefix}rubygem-%{gem_name}
Version: 2.5.2
Release: 2%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: http://codeforpeople.com/lib/ruby/systemu/
Source0: %{gem_name}-%{version}.gem
Requires: %{?scl:%scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl:%scl_prefix}ruby
Requires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}ruby(abi) = %{rubyabi}
BuildRequires: %{?scl:%scl_prefix}ruby 
BuildRequires: %{?scl:%scl_prefix}rubygems
BuildRequires: %{?scl:%scl_prefix}rubygems-devel
BuildArch: noarch
Provides: %{?scl:%scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Universal capture of stdout and stderr and handling of child process pid.

%prep

%build

%install
rm -rf %{buildroot}
%{?scl:scl enable %scl "}
gem install --local --install-dir %{buildroot}%{gem_dir} --force %{SOURCE0}
%{?scl:"}

# Change from /usr/bin/ruby to /usr/bin/env ruby
find %{buildroot} -type f | \
  xargs sed -i -e 's"^#!/usr/bin/ruby"#!/usr/bin/env ruby"'

%files
%doc %{gem_docdir}/
%{gem_dir}/gems/%{gem_name}-%{version}/
%{gem_cache}
%{gem_spec}

%changelog
* Tue Feb 26 2013 Troy Dawson <tdawson@redhat.com> - 2.5.2-2
- Rebuild to pull in fixes for Fix CVE-2013-0256

* Thu Nov 15 2012 Troy Dawson <tdawson@redhat.com> - 2.5.2-1
- Updated to version 2.5.2

* Fri Aug 31 2012 Troy Dawson <tdawson@redhat.com> - 1.2.0-1
- Packaged to work with SCL
- Initial package
